#
# spec file for package gedit (Version 2.30.4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gedit
Version:        2.30.4
Release:        1
License:        GPLv2+
Summary:        The Editor for the GNOME 2.x Desktop
Url:            http://www.gnome.org
Group:          Productivity/Text/Editors
Source:         ftp://ftp.gnome.org/pub/gnome/sources/gedit/2.25/%{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE gedit-desktop.patch -- adds more MIME types and change icon
Patch0:         gedit-desktop.patch
BuildRequires:  enchant-devel
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gettext
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gtk-doc
BuildRequires:  gtksourceview-devel
BuildRequires:  intltool
BuildRequires:  iso-codes-devel
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  python-gobject2-devel
BuildRequires:  python-gtk-devel
BuildRequires:  python-gtksourceview-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Requires:       %{name}-lang = %{version}
Requires:       python-gnome
Requires:       python-gobject2
Requires:       python-gtk
Requires:       python-gtksourceview
Provides:       gedit2 = %{version}
Obsoletes:      gedit2 < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
Gedit is a small, fast, and reliable editor for the GNOME 2.x Desktop.

%package devel
License:        GPLv2+
Summary:        The Editor for the GNOME 2.x Desktop
Group:          Productivity/Text/Editors
Requires:       %{name} = %{version}
Requires:       gtksourceview-devel
Provides:       gedit2-devel = %{version}
Obsoletes:      gedit2-devel < %{version}

%description devel
Gedit is a small, fast, and reliable editor for the GNOME 2.x Desktop.

%package doc
License:        GPLv2+
Summary:        Additional documentation of  the Editor for the GNOME 2.x Desktop
Group:          Productivity/Text/Editors
Requires:       gtk-doc

%description doc
This package contains additional documentation for Gedit (a small, fast,
and reliable editor for the GNOME 2.x Desktop).

%lang_package
%prep
%setup -q
translation-update-upstream
%patch0 -p0

%build
%configure \
    --disable-scrollkeeper \
    --enable-python
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1110
%{__rm} %{buildroot}%{_datadir}/locale/la/LC_MESSAGES/*
%endif
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%suse_update_desktop_file -N gedit -G "Text Editor" gedit TextEditor
%find_lang %{name}
%find_gconf_schemas
rm %{buildroot}%{_libdir}/*/*/*.*a
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.schemas_list
%defattr(-, root, root)
%doc AUTHORS BUGS ChangeLog COPYING MAINTAINERS NEWS README
%{_bindir}/gedit
%{_bindir}/gnome-text-editor
%{_datadir}/applications/*.desktop
%{_datadir}/gedit-2
%{_libdir}/gedit-2
%{_libexecdir}/gedit-2
%doc %{_mandir}/man1/gedit*

%files lang -f %{name}.lang

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/gedit

%changelog
